#!/usr/bin/env python2

from setuptools import setup, find_packages
import imp

adhtml2text = imp.load_source('adhtml2text', 'adrasolib/adhtml2text.py')
adrasolib = imp.load_source('adrasolib', 'adrasolib/adrasolib.py')

setup(name='adrasolib',
      license='GNU GENERAL PUBLIC LICENSE Version 3',
      version=adrasolib.__version__,
      description="""Retrieve and display of meteorological radiosound data
      (rudimentary support for soundings from the University of Wyoming
      http://weather.uwyo.edu/cgi-bin/sounding )""",
      long_description=
      """It can both be used as a library with routines and as a
      stand alone program

      |     ./adrasolib.py [statnr [fromtime] ]
      | eg. ./adrasolib.py 11010 03

      The rawinsound from Linz-Hoersching (11010) with a start time between
      03UTC and 03+6 = 09UTC is retrieved and plot to a file in
      the directory ~/rasograph/ .""",
      author='Dietmar Thaler',
      author_email='info@foehnwall.at',
      platforms='linux',
      # url='http://www.foehnwall.at/adrasolib.html',
      package_dir={'': 'adrasolib'},
      py_modules=['adrasolib', 'adhtml2text'],
     )
